summaryrefslogtreecommitdiffstats
path: root/.github/scripts/run-updater-check.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2024-04-10 09:38:44 -0400
committerGitHub <noreply@github.com>2024-04-10 09:38:44 -0400
commit5ce422daf086189fc8a97d77c71d5308e355025a (patch)
treebddb3798b6b0c762792a8acf3d1571a9b9bdff0e /.github/scripts/run-updater-check.sh
parent0f5b137471a7a2f56cb2700394b0cd198c8787e1 (diff)
Skip Go code in CI if it hasn’t changed. (#17077)
* Skip building Go components for Docker CI if they have not changed. * Properly handle Go code in general checks PR. * Skip Go code in build checks if it hasn’t changed. * Fix linting issues. * Fix propagation of installer flags. * Fix propagation of environment variables through static build process. * Fix handling of extra install options in static builds. * Skip starting the agent in updater checks. * Fix actionlint warning.
Diffstat (limited to '.github/scripts/run-updater-check.sh')
-rwxr-xr-x.github/scripts/run-updater-check.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/.github/scripts/run-updater-check.sh b/.github/scripts/run-updater-check.sh
index 2e70a10aff..456a0e5d07 100755
--- a/.github/scripts/run-updater-check.sh
+++ b/.github/scripts/run-updater-check.sh
@@ -4,7 +4,7 @@ echo ">>> Installing CI support packages..."
/netdata/.github/scripts/ci-support-pkgs.sh
mkdir -p /etc/cron.daily # Needed to make auto-update checking work correctly on some platforms.
echo ">>> Installing Netdata..."
-/netdata/packaging/installer/kickstart.sh --dont-wait --build-only --disable-telemetry || exit 1
+/netdata/packaging/installer/kickstart.sh --dont-wait --build-only --dont-start-it --disable-telemetry "${EXTRA_INSTALL_FLAGS:+--local-build-options "${EXTRA_INSTALL_FLAGS}"}" || exit 1
echo "::group::>>> Pre-Update Environment File Contents"
cat /etc/netdata/.environment
echo "::endgroup::"